# Learn more about services, parameters and containers at
# https://symfony.com/doc/current/service_container.html
parameters:
    #parameter_name: value

services:
    # default configuration for services in *this* file
    _defaults:
        # automatically injects dependencies in your services
        autowire: true
        # automatically registers your services as commands, event subscribers, etc.
        autoconfigure: true
        # this means you cannot fetch services directly from the container via $container->get()
        # if you need to do this, you can override this setting on individual services
        public: false

    # makes classes in src/AppBundle available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    JobeetBundle\:
        resource: '../../src/JobeetBundle/*'
        # you can exclude directories or files
        # but if a service is unused, it's removed anyway
        exclude: '../../src/JobeetBundle/{Entity,Repository,Tests}'

    # controllers are imported separately to make sure they're public
    # and have a tag that allows actions to type-hint services
    JobeetBundle\Controller\:
        resource: '../../src/JobeetBundle/Controller'
        public: true
        tags: ['controller.service_arguments']

    JobeetBundle\DataFixtures\:
        resource: '../../src/JobeetBundle/DataFixtures'
        tags: ['doctrine.fixture.orm']

    JobeetBundle\Service\FileUploader:
        arguments:
            $targetDirectory: '%images_directory%'

    admin.category:
        class: JobeetBundle\Admin\CategoryAdmin
        arguments: [~, JobeetBundle\Entity\Category, ~]
        tags:
            - { name: sonata.admin, manager_type: orm, label: Category }

    admin.job:
        class: JobeetBundle\Admin\JobAdmin
        arguments: [~, JobeetBundle\Entity\Job, ~]
        tags:
            - { name: sonata.admin, manager_type: orm, label: Job }
